## binoculars 0.0.4

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/binoculars.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/binoculars.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/binoculars"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/binoculars"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## binoculars 0.0.6

=== debian/changelog ===
binoculars (0.0.6-1) unstable; urgency=medium

  * New upstream version 0.0.6
  * Added autopkgtests

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 17 May 2021 16:07:12 +0200

binoculars (0.0.5-1) unstable; urgency=medium

  * New upstream version 0.0.5 (Closes: #923859, #924024, #986785)
  * Bumped Standards-Version to 4.3.0 (nothing to do)
  * Bumped compat level to 12.
  * d/control
    Build-Depends:
    - Removed: python3-tables
    - Added: python3-h5py, python3-pymca5, python3-vtk7
  * Upgrade to newer source format 3.0 (quilt).
  * Set debhelper-compat version in Build-Depends.
  * Update standards version to 4.5.0, no changes needed.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 14 Mar 2019 10:12:40 +0100

binoculars (0.0.4-1) unstable; urgency=medium

  * Imported upstream v0.0.4.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 18 Feb 2019 15:00:45 +0100

binoculars (0.0.3-1) unstable; urgency=medium

  * Imported upstream v0.0.3.
  * d/watch: Updated to target Github release tags.
  * d/control: Homepage point to Github.com/picca/binoculars.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 07 Dec 2018 11:55:41 +0100

binoculars (0.0.2-1) unstable; urgency=medium

  * Initial release (Closes: #910077)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 25 Nov 2015 14:25:10 +0200

=== debian/control ===
Source: binoculars
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Picca Frédéric-Emmanuel <picca@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-python,
               gir1.2-hkl-5.0,
               python3-all,
               python3-gi,
               python3-h5py,
               python3-numpy,
               python3-pyfai,
               python3-pymca5,
               python3-setuptools,
               python3-sphinx,
               python3-xrayutilities,
               python3-vtk7
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/science-team/binoculars
Vcs-Git: https://salsa.debian.org/science-team/binoculars.git
Homepage: https://github.com/picca/binoculars

Package: binoculars
Architecture: all
Section: python
Depends: python3-binoculars (>= ${source:Version}),
         ${misc:Depends},
         ${python3:Depends}
Description: Surface X-ray diffraction 2D detector data reduction
 BINoculars is a tool for data reduction and analysis of large sets of
 surface diffraction data that have been acquired with a
 two-dimensional X-ray detector. The intensity of each pixel of a
 two-dimensional detector is projected onto a three-dimensional grid
 in reciprocal-lattice coordinates using a binning algorithm. This
 allows for fast acquisition and processing of high-resolution data
 sets and results in a significant reduction of the size of the data
 set. The subsequent analysis then proceeds in reciprocal space. It
 has evolved from the specific needs of the ID03 beamline at the ESRF,
 but it has a modular design and can be easily adjusted and extended
 to work with data from other beamlines or from other measurement
 techniques.

Package: python3-binoculars
Architecture: all
Section: python
Depends: gir1.2-hkl-5.0, python3-vtk7, ${misc:Depends}, ${python3:Depends}
Suggests: python3-xrayutilities
Description: Surface X-ray diffraction 2D detector data reduction - Python3
 BINoculars is a tool for data reduction and analysis of large sets of
 surface diffraction data that have been acquired with a
 two-dimensional X-ray detector. The intensity of each pixel of a
 two-dimensional detector is projected onto a three-dimensional grid
 in reciprocal-lattice coordinates using a binning algorithm. This
 allows for fast acquisition and processing of high-resolution data
 sets and results in a significant reduction of the size of the data
 set. The subsequent analysis then proceeds in reciprocal space. It
 has evolved from the specific needs of the ID03 beamline at the ESRF,
 but it has a modular design and can be easily adjusted and extended
 to work with data from other beamlines or from other measurement
 techniques.
 .
 This is the Python 3 version of the package.

Package: binoculars-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Built-Using: ${sphinxdoc:Built-Using}
Description: Surface X-ray diffraction 2D detector data reduction - Documentation
 BINoculars is a tool for data reduction and analysis of large sets of
 surface diffraction data that have been acquired with a
 two-dimensional X-ray detector. The intensity of each pixel of a
 two-dimensional detector is projected onto a three-dimensional grid
 in reciprocal-lattice coordinates using a binning algorithm. This
 allows for fast acquisition and processing of high-resolution data
 sets and results in a significant reduction of the size of the data
 set. The subsequent analysis then proceeds in reciprocal space. It
 has evolved from the specific needs of the ID03 beamline at the ESRF,
 but it has a modular design and can be easily adjusted and extended
 to work with data from other beamlines or from other measurement
 techniques.
 .
 This is the common documentation package.

## binoculars 0.0.10

=== debian/changelog ===
binoculars (0.0.10-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Bug fix: Run the autopkgtest only against the supported version of
    Python 3 (Closes: #1001291).

 -- Stefano Rivera <stefanor@debian.org>  Thu, 24 Mar 2022 14:00:50 -0400

binoculars (0.0.10-1) unstable; urgency=medium

  [ Neil Williams ]
  * Update control to add Debian PaN maintainers

  [ Picca Frédéric-Emmanuel ]
  * New upstream version 0.0.10
  * removed useless d/gbp.conf
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Update standards version to 4.6.0, no changes needed.
  * Bug fix: "autopkgtest tests for all supported python3 versions but
    vtk7 extensions don't exist for all", thanks to Paul Gevers
    (Closes: #1001291).

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 20 Dec 2021 09:48:28 +0100

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,25 @@
 Source: binoculars
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Picca Frédéric-Emmanuel <picca@debian.org>
+Maintainer: Debian PaN Maintainers <debian-pan-maintainers@alioth-lists.debian.net>
+Uploaders:
+ Picca Frédéric-Emmanuel <picca@debian.org>,
+ Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>,
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
-               dh-python,
-               gir1.2-hkl-5.0,
-               python3-all,
-               python3-gi,
-               python3-h5py,
-               python3-numpy,
-               python3-pyfai,
-               python3-pymca5,
-               python3-setuptools,
-               python3-sphinx,
-               python3-xrayutilities,
-               python3-vtk7
-Standards-Version: 4.5.0
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-python,
+ gir1.2-hkl-5.0,
+ python3,
+ python3-gi,
+ python3-h5py,
+ python3-numpy,
+ python3-pyfai,
+ python3-pymca5,
+ python3-setuptools,
+ python3-sphinx,
+ python3-vtk7,
+ python3-xrayutilities,
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/science-team/binoculars
 Vcs-Git: https://salsa.debian.org/science-team/binoculars.git
 Homepage: https://github.com/picca/binoculars
@@ -24,9 +27,10 @@
 Package: binoculars
 Architecture: all
 Section: python
-Depends: python3-binoculars (>= ${source:Version}),
-         ${misc:Depends},
-         ${python3:Depends}
+Depends:
+ python3-binoculars (>= ${source:Version}),
+ ${misc:Depends},
+ ${python3:Depends},
 Description: Surface X-ray diffraction 2D detector data reduction
  BINoculars is a tool for data reduction and analysis of large sets of
  surface diffraction data that have been acquired with a
@@ -44,8 +48,13 @@
 Package: python3-binoculars
 Architecture: all
 Section: python
-Depends: gir1.2-hkl-5.0, python3-vtk7, ${misc:Depends}, ${python3:Depends}
-Suggests: python3-xrayutilities
+Depends:
+ gir1.2-hkl-5.0,
+ python3-vtk7,
+ ${misc:Depends},
+ ${python3:Depends},
+Suggests:
+ python3-xrayutilities,
 Description: Surface X-ray diffraction 2D detector data reduction - Python3
  BINoculars is a tool for data reduction and analysis of large sets of
  surface diffraction data that have been acquired with a
@@ -65,8 +74,11 @@
 Package: binoculars-doc
 Architecture: all
 Section: doc
-Depends: ${misc:Depends}, ${sphinxdoc:Depends}
-Built-Using: ${sphinxdoc:Built-Using}
+Depends:
+ ${misc:Depends},
+ ${sphinxdoc:Depends},
+Built-Using:
+ ${sphinxdoc:Built-Using},
 Description: Surface X-ray diffraction 2D detector data reduction - Documentation
  BINoculars is a tool for data reduction and analysis of large sets of
  surface diffraction data that have been acquired with a

=== debian/tests/control ===
Test-Command: set -efu
 ; cp -r tests examples "$AUTOPKGTEST_TMP"
 ; cd "$AUTOPKGTEST_TMP"
 ; python3 -m unittest discover -s tests -v
Depends:
 python3,
 python3-binoculars,
Restrictions: allow-stderr, skip-not-installable

## binoculars 0.0.11

=== debian/changelog ===
binoculars (0.0.11-1) unstable; urgency=medium

  * New upstream version 0.0.11

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 28 Mar 2022 15:10:50 +0200

## binoculars 0.0.12

=== debian/changelog ===
binoculars (0.0.12-1) unstable; urgency=medium

  * New upstream version 0.0.12

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 24 Nov 2022 12:20:09 +0100

binoculars (0.0.11-2) unstable; urgency=medium

  [ Francois Mazen ]
  * Non-maintainer upload
  * Switch from vtk7 to vtk9 (Closes: #1016598)
  * Add debian/clean file to remove temporary build files in build folder

  * Update standards version to 4.6.1, no changes needed.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 16 Oct 2022 11:26:25 +0200

=== debian/control ===
--- 
+++ 
@@ -17,9 +17,9 @@
  python3-pymca5,
  python3-setuptools,
  python3-sphinx,
- python3-vtk7,
+ python3-vtk9,
  python3-xrayutilities,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/science-team/binoculars
 Vcs-Git: https://salsa.debian.org/science-team/binoculars.git
 Homepage: https://github.com/picca/binoculars

## binoculars 0.0.13

=== debian/changelog ===
binoculars (0.0.13-1) unstable; urgency=medium

  * New upstream version 0.0.13
  * d/control: B-D removed python3-vtk9
  * d/patches: removed all patch (upstreamed)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 14 Apr 2023 19:23:27 +0200

binoculars (0.0.12-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Also switch the binary dependency from python3-vtk7 to python3-vtk9.
    (Closes: #1016598)

 -- Adrian Bunk <bunk@debian.org>  Tue, 21 Feb 2023 15:13:26 +0200

binoculars (0.0.12-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add patch to fix test failure with Numpy 1.24.
    (closes: #1027192)

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 11 Jan 2023 17:48:13 +0100

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,6 @@
  python3-pymca5,
  python3-setuptools,
  python3-sphinx,
- python3-vtk9,
  python3-xrayutilities,
 Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/science-team/binoculars
@@ -50,7 +49,6 @@
 Section: python
 Depends:
  gir1.2-hkl-5.0,
- python3-vtk7,
  ${misc:Depends},
  ${python3:Depends},
 Suggests:

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export PYBUILD_NAME=binoculars
export PYBUILD_AFTER_INSTALL=rm -rf {destdir}/usr/bin/

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_test:
	dh_auto_test -- --system=custom --test-args='{interpreter} -m unittest discover -s tests -t {dir} -v'

override_dh_install:
	dh_numpy3
	dh_install

        # install scripts into binoculars
	python3 setup.py install_scripts -d debian/binoculars/usr/bin

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml doc/source build/html # HTML generator
	dh_installdocs -p binoculars-doc "build/html"
	dh_sphinxdoc -O--buildsystem=pybuild
endif

## binoculars 0.0.14

=== debian/changelog ===
binoculars (0.0.14-1) unstable; urgency=medium

  * New upstream version 0.0.14

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 22 Jun 2023 15:28:58 +0200

## binoculars 0.0.17

=== debian/changelog ===
binoculars (0.0.17-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 07 Jun 2024 07:39:24 +0200

binoculars (0.0.17-1) unstable; urgency=medium

  * Update standards version to 4.6.2, no changes needed.
  * New upstream version 0.0.17
  * d/control: B-D +pybuild-plugin-pyproject, +python3-setuptools-scm

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 05 Jun 2024 13:39:38 +0200

binoculars (0.0.15-1) unstable; urgency=medium

  * New upstream version 0.0.15

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 03 Oct 2023 13:48:22 +0200

## binoculars 0.0.19

=== debian/changelog ===
binoculars (0.0.19-1) unstable; urgency=medium

  * New upstream version 0.0.19

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 09 Oct 2024 10:52:38 +0200

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export PYBUILD_NAME=binoculars

PYVERS_DEFAULT := $(shell py3versions --default --version)

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_install:
# move entry points in the right package
	mkdir -p debian/binoculars/usr
	mv debian/python3-binoculars/usr/bin debian/binoculars/usr/

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	pybuild --build -i python{version} -p $(PYVERS_DEFAULT) --system=custom --build-args="$(MAKE) -C doc html"
	dh_installdocs -p binoculars-doc "doc/build/html"
	dh_sphinxdoc -O--buildsystem=pybuild
endif

=== debian/tests/control ===
Tests: python
Depends:
 python3,
 python3-binoculars,
Restrictions: allow-stderr, skip-not-installable

Test-Command: xvfb-run -s "-screen 0 1024x768x24 -ac +extension GLX +render -noreset" sh debian/tests/gui
Depends:
 debhelper,
 mesa-utils,
 @,
 xauth,
 xvfb,
Restrictions: allow-stderr
